%define desktop_file 1
%define desktop_file_utils_version 0.2.93
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define DATE 20010829
%define is_release 1
%define beta rc1
Version: 1.2
%define rel 4
%define VER %{version}-%{beta}
%define i18n 0

Name: koffice
URL: http://koffice.kde.org/
Summary: A set of office applications for KDE.
%if %{is_release}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{VER}.tar.bz2
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
%else
Release: %{rel}
%endif
%else
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{DATE}.tar.bz2
Release: 0.cvs%{DATE}.%{rel}
%endif
%if %i18n
Source1: %{name}-i18n-%{version}.tar.bz2
%endif
Source2: koshell.png
Patch: koffice-i18n-ac214.patch
Patch1: koffice-desktopfix.patch
Group: User Interface/Desktops
Obsoletes: killustrator kivio
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: /usr
Prereq: kdelibs
Epoch: 4
Requires(post,postun): /sbin/ldconfig
Source900: gccver.c
BuildRequires: kdelibs kdelibs-devel kdebase kdebase-devel autoconf
BuildRequires: automake libtool glibc-devel gcc gcc-c++ libstdc++-devel qt-devel
%if %{desktop_file}
BuildRequires:desktop-file-utils >= %{desktop_file_utils_version}
%endif

%package devel
Summary: Development files for KOffice
Group: Development/Libraries

%description
The koffice package contains the KOffice office-type applications for
the K Desktop Environment (KDE) GUI desktop. KOffice contains KWord, a
word processor; KSpread, a spreadsheet; KPresenter, for presentations;
and KChart, a diagram generator.

%description devel
Development files for KOffice. Install koffice-devel if you want to develop
or compile plugins for KOffice.

%prep
rm -rf $RPM_BUILD_ROOT
%if %{is_release}
%setup -q -n %{name}-%{version}-%{beta}
%else
%setup -q -n %{name}
%endif

%if %{desktop_file}
%patch1 -p1 -b .desktop
%endif

%ifarch ia64
# FIXME - doesn't compile ATM.
rm -rf kivio
%endif

%ifarch alpha
# FIXME - doesn't compile ATM.
rm -rf filters/kspread/qpro
perl -pi -e "s,qpro,,g" filters/kspread/Makefile.am
%endif

[ -e Makefile.cvs ] && make -f Makefile.cvs

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export KDEDIR=%{prefix}
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS" CXXFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG -fno-check-new" \
	./configure  \
	--prefix=%{prefix} \
	--includedir=%{prefix}/include/kde \
	--disable-final

gcc -o gccver %{SOURCE900}
if [ "0`./gccver`" -lt 3001 ]; then
        find . -name Makefile |xargs perl -pi -e "s,^CXXLD\s*=.*,\$& -release gcc`./gccver -v`,g"
fi

# Remove parallel build option as it seems to break sometimes.
# make -j $CPUS
make

%if %{i18n}
export OLD_PO_FILE_INPUT=yes
tar xjf %{SOURCE1}
cd koffice-i18n-%{version}
patch -p1 <%{PATCH0}
test -f Makefile.cvs && make -f Makefile.cvs
./configure --prefix=%{prefix}
make %{?smp_mflags}
%endif

%install
make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install

if ! [ -e $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/koshell.png ]; then
	install -c -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/koshell.png
fi

# remove some stuff are in conflicts with kdelibs
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/actions/bottom.png \
      $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/actions/rotate.png \
      $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/actions/top.png \
      $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/actions/wizard.png \
      $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/apps/kspreadcalc.png \
      $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/apps/kspreadcalc.png \
      $RPM_BUILD_ROOT/usr/share/mimelnk/application/x-abiword.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/application/x-kchart.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/application/x-kformula.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/application/x-kivio.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/application/x-kontour.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/application/x-kpresenter.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/application/x-kspread.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/application/x-kugar.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/application/x-kword.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/application/x-quattropro.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/image/x-msod.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/image/x-wmf.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/image/x-xfig.desktop \
      $RPM_BUILD_ROOT/usr/share/mimelnk/text/x-csv.desktop

# Replace absolute symlinks with relative ones
pushd $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/$i/common
		ln -s ../common $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/$i
	fi
done
popd

%if %{i18n}
pushd koffice-i18n-%{version}
make DESTDIR=$RPM_BUILD_ROOT install
popd
%endif

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor kde \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category "Application;Office;X-Red-Hat-Extra" \
    --add-only-show-in KDE \
    $RPM_BUILD_ROOT%{_datadir}/applnk/Office/*.desktop

# we should remove some kde prefix by some desktop files
for i in kontour kword kspread kpresenter ; do
    mv -f $RPM_BUILD_ROOT%{_datadir}/applications/kde-$i.desktop \
          $RPM_BUILD_ROOT%{_datadir}/applications/$i.desktop
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/lib/*.so*
%{prefix}/lib/*.la*
%{prefix}/lib/kde3/*
%{_datadir}/applications/*
%{prefix}/share/apps/*
%{prefix}/share/icons/*/*/*/*
%{prefix}/share/services/*
%{prefix}/share/servicetypes/*
%{prefix}/share/templates/*
%doc ${_docdir}/HTML/en/*
%if %{i18n}
%lang(en_GB) %{prefix}/share/locale/en_GB/LC_MESSAGES/*
%lang(bg) %{prefix}/share/locale/bg/LC_MESSAGES/*
%lang(cs) %{prefix}/share/locale/cs/LC_MESSAGES/*
%lang(da) %{prefix}/share/locale/da/LC_MESSAGES/*
%lang(nl) %{prefix}/share/locale/nl/LC_MESSAGES/*
%lang(et) %{prefix}/share/locale/et/LC_MESSAGES/*
%lang(fr) %{prefix}/share/locale/fr/LC_MESSAGES/*
%lang(de) %{prefix}/share/locale/de/LC_MESSAGES/*
%lang(hu) %{prefix}/share/locale/hu/LC_MESSAGES/*
%lang(it) %{prefix}/share/locale/it/LC_MESSAGES/*
%lang(ja) %{prefix}/share/locale/ja/LC_MESSAGES/*
%lang(lt) %{prefix}/share/locale/lt/LC_MESSAGES/*
%lang(no) %{prefix}/share/locale/no/LC_MESSAGES/*
%lang(nn_NO) %{prefix}/share/locale/no_NY/LC_MESSAGES/*
%lang(pl) %{prefix}/share/locale/pl/LC_MESSAGES/*
%lang(pt) %{prefix}/share/locale/pt/LC_MESSAGES/*
%lang(ro) %{prefix}/share/locale/ro/LC_MESSAGES/*
%lang(ru) %{prefix}/share/locale/ru/LC_MESSAGES/*
%lang(sk) %{prefix}/share/locale/sk/LC_MESSAGES/*
%lang(sl) %{prefix}/share/locale/sl/LC_MESSAGES/*
%lang(sv) %{prefix}/share/locale/sv/LC_MESSAGES/*
%lang(es) %{prefix}/share/locale/es/LC_MESSAGES/*
%lang(tr) %{prefix}/share/locale/tr/LC_MESSAGES/*
%lang(pt_BR) %{prefix}/share/locale/pt_BR/LC_MESSAGES/*
%endif

%files devel
%defattr(-,root,root)
%{prefix}/include/kde/*

%post
/sbin/ldconfig
kbuildsycoca &>/dev/null || :

%postun -p /sbin/ldconfig

%changelog
* Fri Aug 23 2002 Phil Knirsch <pknirsch@redhat.com> 1.2-0.rc1.4
- Disabled parallel build as it currently doesn't work

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 1.2-0.rc1.3
- Add missing desktop files for servicetype

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 1.2-0.rc1.2
- add desktopfix patch file from Harald Hoyer
- desktop file issues

* Tue Aug  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2-0.rc1.1
- rc1

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 1.2-0.beta2.3
- build using gcc-3.2-0.1

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 1.2-0.beta2.2
- use desktop-file-install

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-5
- Change sonames

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 1.1.1-4
- fix conflicts with kdelibs and kde-i18n

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-3
- Revert to 1.1.1 branch, 1.2/2.0 won't be out in time.

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-2
- Rename kra*** to kopaint

* Fri Dec 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-1
- 1.1.1

* Wed Aug 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-5
- Rebuild with new kdelibs

* Mon Aug 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-4
- Merge koffice-i18n into the package

* Thu Aug 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-3
- Add missing defattr to -devel (#52292)
- Remove dupes from kdeartwork-locolor (Part of #51589)

* Tue Aug 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-2
- Replace koshell icon (#51439)
- Move include files to the correct directory (/usr/include/kde rather than
  /usr/include)
- restore -devel package (it was lost in 1.1-1 for some reason)
- Don't own standard directories

* Tue Aug 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-1
- 1.1 final
- Add icon for koshell (#51439)

* Wed Jul 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-0.cvs20010725.1
- Increase Epoch

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-0.cvs20010724.1
- Don't build kivio on ia64 ATM (compiler bug)

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add ldconfig in %%post and %%postun, replace absolute symlinks
  with relative symlinks (#24878)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't build on sparc and ia64 (Bug #23809)

* Sun Dec  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0.1

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- fix compilation

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- kill dupes from kdelibs

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update (fixed compilation with gcc 2.96 in CVS)
- work around compiler bugs on alpha

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move to /usr/lib/kde2

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Sun Jul 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't hardcode Qt version
- obsolete killustrator (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Mon Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Oct 23 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Initial RPM
